#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <QIcon>
#include <QTimer>
#include <QDebug>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
    , m_icon(new QSystemTrayIcon(QIcon::fromTheme("folder"), this))
{
    ui->setupUi(this);
    m_icon->show();

    QTimer *timer = new QTimer(this);
    connect(timer, &QTimer::timeout, this, [=]() {
      bool aaa = QSystemTrayIcon::isSystemTrayAvailable();

      qDebug() << "icon available: " << aaa;
    });
    timer->start(100);
}

MainWindow::~MainWindow()
{
    delete ui;
}

